## org.codehaus.plexus.collections
Class AbstractActiveSet

    java.lang.Object
      org.codehaus.plexus.collections.AbstractActiveSet

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set, ActiveCollection, ActiveSet

Direct Known Subclasses:
  DefaultActiveSet

    public abstract class AbstractActiveSet

extends java.lang.Object
implements ActiveSet

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ActiveSet
`ROLE`

Constructor Summary
`protected` `AbstractActiveSet()`
`protected` `AbstractActiveSet(org.codehaus.plexus.PlexusContainer container, java.lang.String role)`

Method Summary
`boolean` `add(java.lang.Object arg0)`
`boolean` `addAll(java.util.Collection arg0)`
`protected java.util.Set` `checkedGetSet()`
`void` `clear()`
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`void` `enableLogging(org.codehaus.plexus.logging.Logger logger)`
`protected org.codehaus.plexus.logging.Logger` `getLogger()`
`java.lang.String` `getRole()` Retrive the role, or type of component, which is collected in the current instance.
`protected java.util.Set` `getSet()`
`boolean` `remove(java.lang.Object o)`
`boolean` `removeAll(java.util.Collection arg0)`
`boolean` `retainAll(java.util.Collection arg0)`
`protected void` `setRole(java.lang.String role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.collections.ActiveSet
`checkedContains, checkedContainsAll, checkedIterator, checkedToArray, checkedToArray`

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`checkedIsEmpty, checkedSize, isEmpty, size`

Methods inherited from interface java.util.Set
`contains, containsAll, equals, hashCode, isEmpty, iterator, size, toArray, toArray`

Constructor Detail

### AbstractActiveSet

    protected AbstractActiveSet()

### AbstractActiveSet

    protected AbstractActiveSet(org.codehaus.plexus.PlexusContainer container,
                                java.lang.String role)

Method Detail

### add

    public boolean add(java.lang.Object arg0)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.Set`

### addAll

    public boolean addAll(java.util.Collection arg0)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.Set`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.Set`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.Set`

### removeAll

    public boolean removeAll(java.util.Collection arg0)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Specified by:
    `removeAll` in interface `java.util.Set`

### retainAll

    public boolean retainAll(java.util.Collection arg0)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Specified by:
    `retainAll` in interface `java.util.Set`

### getLogger

    protected final org.codehaus.plexus.logging.Logger getLogger()

### getSet

    protected final java.util.Set getSet()

### checkedGetSet

    protected final java.util.Set checkedGetSet()
                                         throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### getRole

    public final java.lang.String getRole()

  Description copied from interface: `ActiveCollection`
  Retrive the role, or type of component, which is collected in the current instance. The current collection will only "contain" elements that specify this role in their component definitions.

  Specified by:
    `getRole` in interface `ActiveCollection`

### setRole

    protected final void setRole(java.lang.String role)

### contextualize

    public final void contextualize(org.codehaus.plexus.context.Context context)
                             throws org.codehaus.plexus.context.ContextException

  Throws:
    `org.codehaus.plexus.context.ContextException`

### enableLogging

    public final void enableLogging(org.codehaus.plexus.logging.Logger logger)

Copyright © 2011. All Rights Reserved.